'use strict';
define(function() {
  /**
   * Transforme un array en string avec séparateur ', '
   */
  const joinArray = () => {
    return (input) => {
      let str = '';
      if (input){
        for (let i = 0; i<input.length; i++){
          if (i > 0){
            str += ', ' + input[i];
          }else{
            str = input[i];
          }
        }
      }
      return str;
    };
  };

  joinArray.$inject = [];
  return joinArray;
});